package com.myapp.core;

import com.google.inject.Guice;
import com.google.inject.Inject;
import com.google.inject.Injector;
import com.myapp.inject.AppModule;

public class MyApplication {
	
	@Inject DAO dao;

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		Injector injector = Guice.createInjector(new AppModule());
		UserController userController = injector.getInstance(UserController.class);
		boolean loginSuccess = userController.login("myuser", "mypasswd");
		System.out.println(loginSuccess);

	}
	

}
